# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "soundcheck"
version = "0.0.331"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A terminal-based audio monitoring application that displays real-time audio levels and exits when sound exceeds a specified threshold."
readme = "README.md"
license = "MIT"
repository = "https://github.com/isfopo/soundcheck"

[[bin]]
name = "soundcheck"
path = "src/main.rs"

[dependencies.clap]
version = "4.0"
features = ["derive"]

[dependencies.cpal]
version = "0.15"

[dependencies.crossterm]
version = "0.27"

[dependencies.ratatui]
version = "0.26"

[dependencies.tokio]
version = "1.38"
features = [
    "full",
    "signal",
]
